DataCubeControllerInsertTransform Method |
POST /DataCube/Transform/{id}
Inserts the specified transform into a data cube.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Transform")]
public IActionResult InsertTransform(
Guid id,
[FromBodyAttribute] InsertTransformOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Transform")>
Public Function InsertTransform (
id As Guid,
<FromBodyAttribute> options As InsertTransformOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Transform")]
IActionResult^ InsertTransform(
Guid id,
[FromBodyAttribute] InsertTransformOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Transform")>]
member InsertTransform :
id : Guid *
[<FromBodyAttribute>] options : InsertTransformOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the data cube to insert the transform to. - options
- Type: Dundas.BI.WebApi.ModelsInsertTransformOptions
The options for inserting this transform. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
DataCubeData object containing the updated data cube data, or a status code indicating the problem.
See Also